<template>
  <form @submit.prevent="submitFormStargic" method="post">
    <div class="grid grid-cols-4">
      <div class="col-span-1">
        <b class="text-lg mb-2 block">เพิ่มยุทธศาสตร์</b>
        <p>ยุทธศาสตร์</p>
        <input
          :class="`${errors?.number ? ' border-red-600' : ''}
            w-full
                  px-3
                  py-2
                  rounded
                  rounded-r-none
                  border border-gray-200
                  placeholder-gray-300`"
          v-model="form.number"
          placeholder="ลำดับ"
        />
      </div>
      <div class="grid col-span-3">
        <b class="text-transparent text-lg mb-2 block">เพิ่มยุทธศาสตร์</b>
        <p class="text-transparent">ยุทธศาสตร์</p>
        <input
          :class="`${errors?.name ? ' border-red-600' : ''}
            w-full
                  px-3
                  py-2
                  rounded-l-none
                  rounded
                  border border-gray-200
                  placeholder-gray-300`"
          v-model="form.name"
          placeholder="ยุทธศาสตร์"
        />
      </div>
      <small class="text-red-500 font-bold">{{ errors?.number }} </small><br />
      <small class="text-red-500 font-bold">{{ errors?.name }} </small>
    </div>

    <button
      type="submit"
      class="
        transition
        duration-200
        ease-in-out
        transform
        hover:-translate-y-1
        px-3
        py-1
        bg-gradient-to-r
        from-blue-600
        to-green-400
        rounded-md
        text-white
        shadow-md
        focus:outline-none
      "
    >
      เพิ่ม
    </button>
  </form>
</template>

<script>
import { Inertia } from "@inertiajs/inertia";
import { defineComponent, reactive, toRefs } from "vue";

export default defineComponent({
  props: {
    stargics: Array,
    errors: Object,
  },
  setup(props) {
    const { errors, stargics } = toRefs(props);

    const form = reactive({
      budget_year_id: null,
      number: null,
      name: null,
    });
    const submitFormStargic = () => {
      Inertia.post(route("admin.stargics.store"), form, {
        onSuccess: () => {
          form.budget_year_id = null;
          form.stargic_id = null;
          form.number = null;
          form.name = null;
        },
      });
    };

    return {
      submitFormStargic,
      form,
      errors,
      stargics,
    };
  },
});
</script>


<style>
</style>
